(defun dwpost (psubject tags)
  (interactive "MPost title (REQUIRED): \nMTags (comma-separated): ")
  (let ((org-export-with-author 'nil)
	(org-export-with-creator 'nil)
	(org-export-with-date 'nil)
	(org-export-with-section-numbers 'nil)
	(org-export-time-stamp-file 'nil)
	(org-export-with-toc 'nil)
	(org-html-validation-link 'nil))
    (org-html-export-to-html))
  (defvar oldname (concat (file-name-base) ".org"))
  (defvar newname (concat (file-name-base) ".html"))
  (find-file-noselect newname)
  (with-current-buffer newname
    (goto-line 1)
    (delete-region (line-beginning-position) (line-end-position))
    (write-file newname))
  (kill-buffer newname)
  (compose-mail "tobli+0397@post.dreamwidth.org" psubject)
  (with-current-buffer "*unsent mail to tobli*"
    (insert (concat "post-tags: org-export, "tags "\n\n"))
    (insert-file-contents newname)
    (message-send-and-exit))
  (kill-buffer "*sent mail to tobli*")
  (with-current-buffer oldname
    (delete-file newname)))

(defun dwpost-public (psubject tags)
  (interactive "MPost title (REQUIRED): \nMTags (comma-separated): ")
  (let ((org-export-with-author 'nil)
	(org-export-with-creator 'nil)
	(org-export-with-date 'nil)
	(org-export-with-section-numbers 'nil)
	(org-export-time-stamp-file 'nil)
	(org-export-with-toc 'nil)
	(org-html-validation-link 'nil))
    (org-html-export-to-html))
  (defvar oldname (concat (file-name-base) ".org"))
  (defvar newname (concat (file-name-base) ".html"))
  (find-file-noselect newname)
  (with-current-buffer newname
    (goto-line 1)
    (delete-region (line-beginning-position) (line-end-position))
    (write-file newname))
  (kill-buffer newname)
  (compose-mail "tobli+0397@post.dreamwidth.org" psubject)
  (with-current-buffer "*unsent mail to tobli*"
    (insert "post-security: public\n")
    (insert (concat "post-tags: org-export, "tags "\n\n"))
    (insert-file-contents newname)
    (message-send-and-exit))
  (kill-buffer "*sent mail to tobli*")
  (with-current-buffer oldname
    (delete-file newname)))

(defun dwpost-access (psubject tags)
  (interactive "MPost title (REQUIRED): \nMTags (comma-separated): ")
  (let ((org-export-with-author 'nil)
	(org-export-with-creator 'nil)
	(org-export-with-date 'nil)
	(org-export-with-section-numbers 'nil)
	(org-export-time-stamp-file 'nil)
	(org-export-with-toc 'nil)
	(org-html-validation-link 'nil))
    (org-html-export-to-html))
  (defvar oldname (concat (file-name-base) ".org"))
  (defvar newname (concat (file-name-base) ".html"))
  (find-file-noselect newname)
  (with-current-buffer newname
    (goto-line 1)
    (delete-region (line-beginning-position) (line-end-position))
    (write-file newname))
  (kill-buffer newname)
  (compose-mail "tobli+0397@post.dreamwidth.org" psubject)
  (with-current-buffer "*unsent mail to tobli*"
    (insert "post-security: access\n")
    (insert (concat "post-tags: org-export, "tags "\n\n"))
    (insert-file-contents newname)
    (message-send-and-exit))
  (kill-buffer "*sent mail to tobli*")
  (with-current-buffer oldname
    (delete-file newname)))

(defun dwpost-me (psubject tags)
  (interactive "MPost title (REQUIRED): \nMTags (comma-separated): ")
  (let ((org-export-with-author 'nil)
	(org-export-with-creator 'nil)
	(org-export-with-date 'nil)
	(org-export-with-section-numbers 'nil)
	(org-export-time-stamp-file 'nil)
	(org-export-with-toc 'nil)
	(org-html-validation-link 'nil))
    (org-html-export-to-html))
  (defvar oldname (concat (file-name-base) ".org"))
  (defvar newname (concat (file-name-base) ".html"))
  (find-file-noselect newname)
  (with-current-buffer newname
    (goto-line 1)
    (delete-region (line-beginning-position) (line-end-position))
    (write-file newname))
  (kill-buffer newname)
  (compose-mail "tobli+0397@post.dreamwidth.org" psubject)
  (with-current-buffer "*unsent mail to tobli*"
    (insert "post-security: private\n")
    (insert (concat "post-tags: org-export, "tags "\n\n"))
    (insert-file-contents newname)
    (message-send-and-exit))
  (kill-buffer "*sent mail to tobli*")
  (with-current-buffer oldname
    (delete-file newname)))
